7.5.4 & OSX 10.10

Anyone running the latest 7.5 release on Yosemite and experiencing issues?

Im all current on Yosemite here and C7.5.4, no issues yet that Ive noticed

Thanks - is 7.5.4 the first “official” support for Yosemite?

Yes, and now that C8 is here, probably the last one.

Good Luck!
{’-’}

Copy that Curt! Not sure if anyone else noticed but they retroactively declared 7.5.3 compatible as well.

So far, so good. No problems here.